Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class TherapyAndChildrenType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.TherapyType
              be.fgov.ehealth.dics.core.v1.TherapyAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class TherapyAndChildrenType

extends TherapyType
implements Serializable

Java class for TherapyAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapyAndChildrenType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}TherapyType">
           <sequence>
             <element name="Atm" type="{urn:be:fgov:ehealth:dics:core:v1}AtmType"/>
             <element name="ReimbursementCriteria" type="{urn:be:fgov:ehealth:dics:core:v1}ReimbursementCriteriaType"/>
             <element name="ReimbursementCategory" type="{urn:be:fgov:ehealth:dics:core:v1}ReimbCategoryCvType"/>
             <element name="ReimbursementAndChildren" type="{urn:be:fgov:ehealth:dics:core:v1}ReimbursementAndChildrenType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TherapyAndChildrenType()`

Method Summary
`AtmType` | `getAtm()` Gets the value of the atm property.
`List<ReimbursementAndChildrenType>` | `getReimbursementAndChildrens()` Gets the value of the reimbursementAndChildrens property.
`ReimbCategoryCvType` | `getReimbursementCategory()` Gets the value of the reimbursementCategory property.
`ReimbursementCriteriaType` | `getReimbursementCriteria()` Gets the value of the reimbursementCriteria property.
`void` | `setAtm(AtmType value)` Sets the value of the atm property.
`void` | `setReimbursementCategory(ReimbCategoryCvType value)` Sets the value of the reimbursementCategory property.
`void` | `setReimbursementCriteria(ReimbursementCriteriaType value)` Sets the value of the reimbursementCriteria property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.TherapyType
`getMaskedInd, setMaskedInd`

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TherapyAndChildrenType

    public TherapyAndChildrenType()

Method Detail

### getAtm

    public AtmType getAtm()

  Gets the value of the atm property.

  Returns:
    possible object is `AtmType`

### setAtm

    public void setAtm(AtmType value)

  Sets the value of the atm property.

  Parameters:
    `value` - allowed object is `AtmType`

### getReimbursementCriteria

    public ReimbursementCriteriaType getReimbursementCriteria()

  Gets the value of the reimbursementCriteria property.

  Returns:
    possible object is `ReimbursementCriteriaType`

### setReimbursementCriteria

    public void setReimbursementCriteria(ReimbursementCriteriaType value)

  Sets the value of the reimbursementCriteria property.

  Parameters:
    `value` - allowed object is `ReimbursementCriteriaType`

### getReimbursementCategory

    public ReimbCategoryCvType getReimbursementCategory()

  Gets the value of the reimbursementCategory property.

  Returns:
    possible object is `ReimbCategoryCvType`

### setReimbursementCategory

    public void setReimbursementCategory(ReimbCategoryCvType value)

  Sets the value of the reimbursementCategory property.

  Parameters:
    `value` - allowed object is `ReimbCategoryCvType`

### getReimbursementAndChildrens

    public List<ReimbursementAndChildrenType> getReimbursementAndChildrens()

  Gets the value of the reimbursementAndChildrens property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementAndChildrens property.

  For example, to add a new item, do as follows:

          getReimbursementAndChildrens().add(newItem);

  Objects of the following type(s) are allowed in the list `ReimbursementAndChildrenType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.